import { defaultExtendedIconProps, defaultIconTransformations } from "./defaults.js";
import { mergeIconTransformations } from "./transformations.js";
function mergeIconData(r, i) {
	let a = mergeIconTransformations(r, i);
	for (let n in defaultExtendedIconProps) n in defaultIconTransformations ? n in r && !(n in a) && (a[n] = defaultIconTransformations[n]) : n in i ? a[n] = i[n] : n in r && (a[n] = r[n]);
	return a;
}
export { mergeIconData };
